%define anolis_release 1

Name:           perl-Date-Manip
Version:        6.90
Release:        %{anolis_release}%{?dist}
Summary:        Date manipulation routines
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-Manip
Source0:        https://cpan.metacpan.org/authors/id/S/SB/SBECK/Date-Manip-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(:VERSION) >= 5.10.0
BuildRequires:  perl(Carp)
# Cwd not used at tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
# File::Find not used at tests
# File::Spec not used at tests
BuildRequires:  perl(integer)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Storable)
BuildRequires:  perl(utf8)
# Win32::TieRegistry not used
# Tests only
# File::Basename not used
# File::Find::Rule not used
# lib not used
BuildRequires:  perl(Test::Inter) >= 1.09
BuildRequires:  perl(Test::More)
# Test::Pod 1.00 not used
# Test::Pod::Coverage 1.00 not used
Requires:       perl(Cwd)
Requires:       perl(File::Find)
Requires:       perl(File::Spec)

# This package was formerly known as perl-DateManip
Provides: perl-DateManip = %{version}-%{release}
Obsoletes: perl-DateManip < 5.48-1

%{?perl_default_filter}

%description
Date::Manip is a series of modules designed to make any common date/time
operation easy to do. Operations such as comparing two times, determining
a data a given amount of time from another, or parsing international times
are all easily done. It deals with time as it is used in the Gregorian
calendar (the one currently in use) with full support for time changes due
to daylight saving time.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Date-Manip-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
unset DATE_MANIP DATE_MANIP_DEBUG DATE_MANIP_DEBUG_ABBREVS \
    DATE_MANIP_DEBUG_ZONES DATE_MANIP_TEST_DM5 OS MULTINET_TIMEZONE \
    RELEASE_TESTING 'SYS$TIMEZONE_DIFFERENTIAL' 'SYS$TIMEZONE_NAME' \
    'SYS$TIMEZONE_RULE' 'TCPIP$TZ' 'UCX$TZ'
make test

%files
%license LICENSE
%{perl_vendorlib}/Date/
%{_mandir}/man[13]/*.[13]*
%{_bindir}/dm_*

%files doc
%doc README README.first

%changelog
* Wed Feb 15 2023 happy_orange <songnannan@linux.alibaba.com> - 6.90-1
- package import to anolis23
